CVE-2006-1127
CVSS4.3
发布时间 :2006-03-09 17:02:00
修订时间 :2011-03-07 21:32:06
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in Gallery 2 up to 2.0.2 allows remote attackers to inject arbitrary web script or HTML via the X-Forwarded-For (X_FORWARDED_FOR) HTTP header, which is not properly handled when adding a comment to an album.


[CNNVD]Gallery跨站脚本攻击漏洞(CNNVD-200603-130)

        在Gallery 2至2.0.2中存在跨站脚本攻击(XSS) 漏洞,远程攻击者可以通过以下途径,注入任意Web脚本或HTML:X-Forwarded-For (X_FORWARDED_FOR) HTTP头,当增加一条评论到照片簿中时不能正常运行。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gallery_project:gallery:2.0_beta1
cpe:/a:gallery_project:gallery:2.0_beta3
cpe:/a:gallery_project:gallery:2.0_alpha2
cpe:/a:gallery_project:gallery:2.0_alpha3
cpe:/a:gallery_project:gallery:2.0_beta2
cpe:/a:gallery_project:gallery:2.0_alpha4
cpe:/a:gallery_project:gallery:2.0_alpha1
cpe:/a:gallery_project:gallery:2.0.1
cpe:/a:gallery_project:gallery:2.0
cpe:/a:gallery_project:gallery:2.0.2
cpe:/a:gallery_project:gallery:2.0_alpha

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1127
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1127
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-130
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16940
(PATCH)  BID  16940
http://securitytracker.com/id?1015717
(PATCH)  SECTRACK  1015717
http://secunia.com/advisories/19104
(VENDOR_ADVISORY)  SECUNIA  19104
http://www.vupen.com/english/advisories/2006/0813
(UNKNOWN)  VUPEN  ADV-2006-0813
http://www.osvdb.org/23596
(UNKNOWN)  OSVDB  23596
http://www.gulftech.org/?node=research&article_id=00106-03022006
(UNKNOWN)  MISC  http://www.gulftech.org/?node=research&article_id=00106-03022006
http://archives.neohapsis.com/archives/bugtraq/2006-02/0621.html
(UNKNOWN)  BUGTRAQ  20060303 Gallery 2 Multiple Vulnerabilities
http://xforce.iss.net/xforce/xfdb/25117
(UNKNOWN)  XF  gallery-getremotehostaddress-xss(25117)
http://gallery.menalto.com/gallery_2.0.3_released
(UNKNOWN)  CONFIRM  http://gallery.menalto.com/gallery_2.0.3_released

- 漏洞信息

Gallery跨站脚本攻击漏洞
中危 跨站脚本
2006-03-09 00:00:00 2006-03-10 00:00:00
远程  
        在Gallery 2至2.0.2中存在跨站脚本攻击(XSS) 漏洞,远程攻击者可以通过以下途径,注入任意Web脚本或HTML:X-Forwarded-For (X_FORWARDED_FOR) HTTP头,当增加一条评论到照片簿中时不能正常运行。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        Gallery 2.0
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Beta3
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Beta2
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Beta1
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Alpha3
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Alpha1
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Alpha
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Alpha4
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0 Alpha2
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0.1
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz
        
        Gallery Gallery 2.0.2
        Gallery gallery-2.0.3-typical.tar.gz
        http://prdownloads.sourceforge.net/gallery/gallery-2.0.3-typical.tar.gz

- 漏洞信息

23596
Gallery GalleryUtilities.class X_FORWARDED_FOR HTTP Header Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

Gallery contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'X_FORWARDED_FOR' HTTP header field upon submission to the GalleryUtilities.class script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-02 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.0.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站